For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
            • POSTCreate Super Admin
            • POSTCreate Super Admins (batch)
            • GETList Companies with Assigned Super Admins
            • PUTUpdate Super Admin Company Assignments
            • GETGet Super Admin's Assigned Companies
            • GETGet Super Admin Details
            • PUTUpdate Super Admin Details
            • GETList Super Admins with Assigned Companies
            • GETList Super Admins Assigned to Company
            • PUTUpdate Company Super Admins Assignments
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementSuper Admin

Get Super Admin's Assigned Companies

GET
https://api-b2b.bigcommerce.com/api/v3/io/super-admins/:superAdminId/companies
GET
/api/v3/io/super-admins/:superAdminId/companies
$curl https://api-b2b.bigcommerce.com/api/v3/io/super-admins/11/companies \
> -H "X-Auth-Token: <apiKey>"
1{
2 "code": 200,
3 "data": [
4 {
5 "companyId": 123456,
6 "companyName": "Great Buys Inc.",
7 "companyEmail": "admin@greatbuys.com"
8 }
9 ],
10 "meta": {
11 "message": "Success",
12 "pagination": {
13 "offset": 0,
14 "limit": 10,
15 "totalCount": 789
16 }
17 }
18}
Lists all Companies assigned to the Super Admin account associated with `superAdminId`. The response will contain limited information about each Company, but more information is available through the B2B Edition Companies API endpoints (see [Company Management](/developer/api-reference/rest/b2b/management/company/companies) or [Companies and Users](/developer/api-reference/rest/b2b/storefront/company/companies) for more information).
Was this page helpful?
Previous

Update Super Admin Company Assignments

Next

Get Super Admin Details

Built with

Lists all Companies assigned to the Super Admin account associated with superAdminId. The response will contain limited information about each Company, but more information is available through the B2B Edition Companies API endpoints (see Company Management or Companies and Users for more information).

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

superAdminIdintegerRequired

The unique ID of the Super Admin account. Does not match the BigCommerce customer account ID.

Query parameters

limitintegerOptional1-200Defaults to 10
Maximum number of entries to return per page of results.
offsetintegerOptional>=0Defaults to 0
The number of entries to skip before returning the current page of results.

Response

SUCCESS
codeintegerDefaults to 200
datalist of objects
metaobject

Errors

404
Not Found Error
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.